Summary:	Python interface to MySQL
Name:		python2.4-mysql
Version:	1.2.2
Release:	%mkrel 1
License:	GPL
Group:		Development/Python
URL:		http://sourceforge.net/projects/mysql-python/
Source0:	http://prdownloads.sourceforge.net/mysql-python/MySQL-python-%{version}.tar.gz
BuildRequires:	python2.4-devel
BuildRequires:	mysql-devel
BuildRequires:	zlib-devel
Provides:	MySQL-python2.4 = %{version}-%{release}
Obsoletes:	MySQL-python2.4
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Python interface to MySQL-3.2 and beyond

MySQLdb is an interface to the popular MySQL database server for Python.
The design goals are:

-     Compliance with Python database API version 2.0 
-     Thread-safety 
-     Thread-friendliness (threads will not block each other) 
-     Compatibility with MySQL-3.23 and later

This module should be mostly compatible with an older interface written by Joe
Skinner and others. However, the older version is a) not thread-friendly, b)
written for MySQL 3.21, c) apparently t actively maintained. No code from that
version is used in MySQLdb. MySQLdb is free software.

%prep

%setup -q -n MySQL-python-%{version}

%build
env CFLAGS="%{optflags}" python2.4 setup.py build

%install
rm -rf %{buildroot}
python2.4 setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README doc/*
%dir %{_libdir}/python*/site-packages/*

%changelog
* Fri Aug 8 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.2.2-1nxd2008.1
- 1.2.2

* Tue May 29 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.2.1-0.p2.3.1mdv2007.1
- Rebuild against python2.4

* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.1-0.p2.3mdv2007.0
+ Revision: 90999
- Rebuild against new python
- import python-mysql-1.2.1-0.p2.2mdv2007.0


* Sun Sep 10 2006 David Walluck <walluck@mandriva.org> 1.2.1-0.p2.2mdv2007.0
- own directory

* Sat Jul 29 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-0.p2.1mdv2007.0
- 1.2.1_p2
- renamed from MySQL-python to python-mysql (fixes #21675)

* Tue Jun 20 2006 Lenny Cartier <lenny@mandriva.com> 1.2.0-3mdv2007.0
- rebuild

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-2mdk
- rebuilt against openssl-0.9.8a

* Tue May 17 2005 Frederic Lepied <flepied@mandriva.com> 1.2.0-1mdk
- New release 1.2.0

* Wed Dec 22 2004 Per �yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.9.2-5mdk
- Rebuild for new python

* Mon May 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-4mdk
- added P0 (from fedora)
- misc spec file fixes

* Mon Apr 05 2004 Michael Scherer <misc@mandrake.org> 0.9.2-3mdk 
- remove invalid Tags
- provides python-mysql

